Register LLC
curl --request POST \
--url https://api.whop.com/api/v1/accounts/{account_id}/llc \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_info": {
"business_type": "<string>",
"industry_group": "<string>",
"industry_type": "<string>",
"legal_name": "<string>",
"expedite_ein": true,
"phone": "<string>",
"use_registered_agent": true,
"website": "<string>"
},
"founders": [
{
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"email": "<string>",
"first_name": "<string>",
"is_primary": true,
"last_name": "<string>",
"ownership_percentage": 123,
"phone": "<string>",
"date_of_birth": "<string>",
"ssn": "<string>"
}
]
}
'import requests
url = "https://api.whop.com/api/v1/accounts/{account_id}/llc"
payload = {
"business_info": {
"business_type": "<string>",
"industry_group": "<string>",
"industry_type": "<string>",
"legal_name": "<string>",
"expedite_ein": True,
"phone": "<string>",
"use_registered_agent": True,
"website": "<string>"
},
"founders": [
{
"address": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"state": "<string>",
"line2": "<string>"
},
"email": "<string>",
"first_name": "<string>",
"is_primary": True,
"last_name": "<string>",
"ownership_percentage": 123,
"phone": "<string>",
"date_of_birth": "<string>",
"ssn": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_info: {
business_type: '<string>',
industry_group: '<string>',
industry_type: '<string>',
legal_name: '<string>',
expedite_ein: true,
phone: '<string>',
use_registered_agent: true,
website: '<string>'
},
founders: [
{
address: {
city: '<string>',
country: '<string>',
line1: '<string>',
postal_code: '<string>',
state: '<string>',
line2: '<string>'
},
email: '<string>',
first_name: '<string>',
is_primary: true,
last_name: '<string>',
ownership_percentage: 123,
phone: '<string>',
date_of_birth: '<string>',
ssn: '<string>'
}
]
})
};
fetch('https://api.whop.com/api/v1/accounts/{account_id}/llc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkout_session_id": "<string>",
"checkout_url": "<string>",
"currency": "<string>",
"total": 123
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}Accounts
Register LLC
Starts an LLC formation for a business account. On submission, the application is validated and the response returns a hosted checkout URL. Once paid, the filing is submitted. Track progress through the account’s llc_formation field on Retrieve Account.
POST
/
accounts
/
{account_id}
/
llc
Register LLC
Authorizations
A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************
Headers
Pins the request to a dated API version.
Example:
"2026-07-08-1"
Path Parameters
Account ID, prefixed biz_.
Body
application/json
Response
application accepted and checkout created
⌘I

